<?php

class RegistrationPage extends Page
{
	static $db = array (
		'ThankYouMessage' => 'HTMLText'
	);
	
	
	function canCreate() {return false;}	
	
	public function getCMSFields()
	{
		$f = parent::getCMSFields();
		$f->addFieldToTab("Root.Content.Thank You Message", new HTMLEditorField('ThankYouMessage'));
		return $f;
	}
}

class RegistrationPage_Controller extends Page_Controller
{
	static $referred_options = array(
		'None specified' => '-- Please Select --',
		'VBM' => 'VBM - Vermont Business Magazine',
		'Burlington Free Press' => 'Burlington Free Press',
		'Rutland Herald' => 'Rutland Herald',
		'Client Referral' => 'Client referral',
		'Other' => 'Other'
	);
	
	static $state_list = array(
				'none'=>"--Select--",
				'AL'=>"Alabama",
                'AK'=>"Alaska", 
                'AZ'=>"Arizona", 
                'AR'=>"Arkansas", 
                'CA'=>"California", 
                'CO'=>"Colorado", 
                'CT'=>"Connecticut", 
                'DE'=>"Delaware", 
                'DC'=>"District Of Columbia", 
                'FL'=>"Florida", 
                'GA'=>"Georgia", 
                'HI'=>"Hawaii", 
                'ID'=>"Idaho", 
                'IL'=>"Illinois", 
                'IN'=>"Indiana", 
                'IA'=>"Iowa", 
                'KS'=>"Kansas", 
                'KY'=>"Kentucky", 
                'LA'=>"Louisiana", 
                'ME'=>"Maine", 
                'MD'=>"Maryland", 
                'MA'=>"Massachusetts", 
                'MI'=>"Michigan", 
                'MN'=>"Minnesota", 
                'MS'=>"Mississippi", 
                'MO'=>"Missouri", 
                'MT'=>"Montana",
                'NE'=>"Nebraska",
                'NV'=>"Nevada",
                'NH'=>"New Hampshire",
                'NJ'=>"New Jersey",
                'NM'=>"New Mexico",
                'NY'=>"New York",
                'NC'=>"North Carolina",
                'ND'=>"North Dakota",
                'OH'=>"Ohio", 
                'OK'=>"Oklahoma", 
                'OR'=>"Oregon", 
                'PA'=>"Pennsylvania", 
                'RI'=>"Rhode Island", 
                'SC'=>"South Carolina", 
                'SD'=>"South Dakota",
                'TN'=>"Tennessee", 
                'TX'=>"Texas", 
                'UT'=>"Utah", 
                'VT'=>"Vermont", 
                'VA'=>"Virginia", 
                'WA'=>"Washington", 
                'WV'=>"West Virginia", 
                'WI'=>"Wisconsin", 
                'WY'=>"Wyoming"
     );
     
    public function Workshop()
    {
    	return DataObject::get_by_id("Workshop",Director::urlParam('Action'));
    }
	
	public function RegistrationForm()
	{
		$map = array();
		if($workshop = $this->Workshop()) {
			foreach(DataObject::get("WorkshopDateTime","EventID = {$workshop->ID} AND StartDate > DATE(NOW())","StartDate ASC") as $dt) {
				$label = $dt->_Dates() . " " . $dt->Town;
				$map[$label] = $label;
			}
		}
		return new Form(
			$this,
			'RegistrationForm',
			new FieldSet(
				new ReadonlyField('SeminarName',' Seminar Name', $workshop->Title),
				new DropdownField('SeminarDate','Seminar Date',$map),
				new TextField('Attendee','* Attendee'),
				new TextField('Company', 'Company'),
				new TextField('Title','Title'),
				new OptionsetField('ContactMethod', 'How do you want to be contacted?', array('Email'=>'Email','Phone'=>'Phone','Fax'=>'Fax','Mail'=>'Mail'),'Email'),
				new TextField('Address1','Address 1'),
				new TextField('Address2', 'Address 2'),
				new TextField('City','City'),
				new DropdownField('State','State',self::$state_list),
				new TextField('Zip','Zip'),
				new PhoneNumberField('Phone','Phone'),
				new PhoneNumberField('Fax','Fax'),
				new EmailField('Email','* Email'),
				new TextareaField('AdditionalAttendees','Additional Attendees'),
				new TextareaField('Comments','Comments'),
				new DropdownField('ReferredBy','How did you hear about us?', self::$referred_options)
				
			),
			new FieldSet(
				new FormAction('register','Register')
			),
			new RequiredFields(
				'Attendee','Email'
			)
		);
	}
	
	public function register($data, $form)
	{
		$to = "your@email.com";

		$email = new Email_Template();
		$email->ss_template = 'WorkshopRegister';
		$email->populateTemplate($form->getData());
		$email->subject = 'New Workshop Registration Form';
		$email->from = 'webmaster@domain.com';
		$email->to = $to;
		$email->send();
		
		Director::redirect($this->Link('submitted'));
	}
	
	public function submitted()
	{
		return $this->renderWith(array('RegistrationPage_submitted','Page'));
	}
}

?>