<?php

class Workshop extends CalendarEvent
{
	static $db = array (
		'WorkshopCost' => 'Varchar(255)',
		'WorkshopDiscount' => 'Varchar(255)'
	);
	
	static $has_many = array (
		'DateTimes' => 'WorkshopDateTime'
	);
	
	static $has_one = array (
		'WorkshopHolder' => 'WorkshopHolder',
		'Program' => 'Program'
	);
	
	static $hide_ancestor = 'CalendarEvent';
	
	public function getCMSFields()
	{
		$f = parent::getCMSFields();
		$f->addFieldToTab("Root.Content.Main", new TextField('Location'),'Content');
		$f->addFieldToTab("Root.Content.Main", new TextField('Sponsor'),'Content');
		$f->addFieldToTab("Root.Content.Main", new TextField('WorkshopCost','Workshop Cost'),'Content');
		$f->addFieldToTab("Root.Content.Main", new TextField('WorkshopDiscount','Workshop Discount'),'Content');
		$f->addFieldToTab("Root.Content.Main", new TypeDropdown('ProgramID','Workshop Category', 'Program'));
		
		
		return $f;
	}

	public function RegisterLink()
	{
		return DataObject::get_one("RegistrationPage")->URLSegment . "/" . $this->ID;
	}
	
	
}

class Workshop_Controller extends CalendarEvent_Controller
{
}