<?php 

class WorkshopDateTime extends CalendarDateTime
{

	static $db = array ( 
		'Town' => 'Varchar(30)',
		'Venue' => 'Varchar(50)',
		'Sponsor' => 'Varchar(50)',
		'AdditionalPresenters' => 'Varchar(255)'
	);
	
	static $many_many = array (
		'Presenters' => 'StaffMember'
	);
	
	static $has_one = array (
		'Workshop' => 'Workshop'
	);

	public function extendTable()
	{
		$this->setComplex(true);
		$this->addTableTitles(array(
			'Town' => 'Town',
			'Venue' => 'Venue',
			'Sponsor' => 'Sponsor'			
		));
		
		$this->addPopupFields(array(
			new TextField('Town'),
			new TextField('Venue'),
			new TextField('Sponsor'),
			new CheckboxSetField('Presenters','Presenters',DataObject::get('StaffMember')->toDropdownMap()),
			new TextField('AdditionalPresenters', 'Additional Presenters'),
		));
	}
	
}

?>